package org.dromara.system.dubbo;

import lombok.RequiredArgsConstructor;
import org.apache.dubbo.config.annotation.DubboService;
import org.dromara.system.api.RemoteOrderNumService;
import org.dromara.system.service.IOrderNum;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author sunzexing
 * @version 1.0
 * @title RemoteOrderNumServiceImpl
 * @description
 * @create 2024-07-16 14:57
 */

@RequiredArgsConstructor
@Service
@DubboService
public class RemoteOrderNumServiceImpl implements RemoteOrderNumService {



    @Autowired
    private IOrderNum  orderNum;

    @Override
    public Long getOrderNum(String bpmType, int size){
        try{
            return this.orderNum.getOrderLongNum(bpmType,size);
        }catch (Exception e){
            e.printStackTrace();
        }
        return  null;
    }
}
